<!-- The content below is only a placeholder and can be replaced. -->
  <div *ngIf="isLogged()" class='log-out'>
    <a routerLinkActive='active' [routerLinkActiveOptions]="{ exact: true }" routerLink="/heroes" class="nav-item nav-link">Heroes</a>
    <button mat-raised-button color="primary" (click)='logout()'>Log Out</button>
  </div>
  
  <h1 style="text-align:center">
    Welcome to {{ title }}!
  </h1>
  <nav>
    <a mat-raised-button color="primary" style="margin-right: 1rem" routerLink="/dashboard">Dashboard</a>
    <a mat-raised-button color="primary" routerLink="/heroes">Heroes</a>
  </nav>
<router-outlet></router-outlet>


